Subject: bug#36269: bug#28620: Mouse drag event records wrong window for release when crossing frames

From: Robert Weiner <[email-masked]>
Date: Mon, 29 Jul 2019 19:21:28 -0400

Martin:

I just want to say that this is an exciting fix and thank you for working on it.  I don’t have much time these days but will try to test it next weekend.  I use do use MacOS sometimes, so I can test there.

-- Bob

> On Jul 28, 2019, at 3:34 AM, martin rudalics <[email-masked]> wrote:
> 
> > Thanks, a few minor comments below.
> 
> Thanks for the comments.  I hopefully applied all changes you
> proposed.
> 
> Please keep in mind that I wrote the code almost two years ago and
> then forgot about it.  It's only in the context of Bug#36269 that I
> resurrected it - with all its inadequacies.
> 
> >> @@ -3995,7 +3992,7 @@ kbd_buffer_get_event (KBOARD **kbp,
> >>         }
> >>       }
> >>     /* Try generating a mouse motion event.  */
> >> -  else if (!NILP (do_mouse_tracking) && some_mouse_moved ())
> >> +  else if (some_mouse_moved ())
> >
> > Can't we have mouse motion events outside track-mouse?
> 
> Not to my knowledge.  In either case, I wouldn't want to change
> anything in this regard here.
> 
> > There's too much of whitespace changes in the rest of the patch,
> > making it very hard to review.  Can you show the patch without
> > whitespace differences?
> 
> I attach a patch which re-adds some extraneous braces to w32term.c.
> If you want me to restore more of the old code, please tell me.
> 
> Also, I do not intend to push the changes until someone tells me that
> they work.  I neither use the mouse to drop nor mouse avoidance mode
> and so have never given it any serious testing.
> 
> Thanks, martin
> <track-mouse-with-braces.diff>